import javax.servlet.http.HttpServletResponse;

public class SecurityCookieRule {
    public void setCookie(HttpServletResponse response) { // Noncompliant {{设置HTTPS会话中cookie的安全属性}}
        // 创建一个新的Cookie
        Cookie cookie = new Cookie("cookieName", "cookieValue");

        // 设置HttpOnly属性（防止通过JavaScript访问）
        cookie.setHttpOnly(true);

        // 设置Secure属性（表示该Cookie只能通过HTTPS连接传输）
        cookie.setSecure(true);

        // 设置其他属性，比如过期时间等
//        cookie.setMaxAge(3600); // 有效期为1小时

        // 将Cookie添加到HTTP响应头中
        response.addCookie(cookie);
    }
}
